Package org.jboss.resteasy.client.jaxrs

## Interface PublisherRxInvoker

- All Superinterfaces:
    `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`
  All Known Subinterfaces:
    `MonoRxInvoker`
  All Known Implementing Classes:
    `MonoRxInvokerImpl`, `PublisherRxInvokerImpl`

      public interface PublisherRxInvoker
      extends javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `delete()` |
    `<T> org.reactivestreams.Publisher<T>` | `delete​(Class<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `delete​(javax.ws.rs.core.GenericType<T> responseType)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `get()` |
    `<T> org.reactivestreams.Publisher<T>` | `get​(Class<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `get​(javax.ws.rs.core.GenericType<T> responseType)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `head()` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `method​(String name)` |
    `<T> org.reactivestreams.Publisher<T>` | `method​(String name, Class<T> responseType)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `method​(String name, javax.ws.rs.client.Entity<?> entity)` |
    `<T> org.reactivestreams.Publisher<T>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, Class<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `method​(String name, javax.ws.rs.core.GenericType<T> responseType)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `options()` |
    `<T> org.reactivestreams.Publisher<T>` | `options​(Class<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `options​(javax.ws.rs.core.GenericType<T> responseType)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `post​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> org.reactivestreams.Publisher<T>` | `post​(javax.ws.rs.client.Entity<?> entity, Class<T> clazz)` |
    `<T> org.reactivestreams.Publisher<T>` | `post​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> type)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `put​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> org.reactivestreams.Publisher<T>` | `put​(javax.ws.rs.client.Entity<?> entity, Class<T> clazz)` |
    `<T> org.reactivestreams.Publisher<T>` | `put​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> type)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `trace()` |
    `<T> org.reactivestreams.Publisher<T>` | `trace​(Class<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `trace​(javax.ws.rs.core.GenericType<T> responseType)` |

- - ### Method Detail

    - #### get

          org.reactivestreams.Publisher<javax.ws.rs.core.Response> get()

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### get

          <T> org.reactivestreams.Publisher<T> get​(Class<T> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### get

          <T> org.reactivestreams.Publisher<T> get​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### put

          org.reactivestreams.Publisher<javax.ws.rs.core.Response> put​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### put

          <T> org.reactivestreams.Publisher<T> put​(javax.ws.rs.client.Entity<?> entity,
                                                   Class<T> clazz)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### put

          <T> org.reactivestreams.Publisher<T> put​(javax.ws.rs.client.Entity<?> entity,
                                                   javax.ws.rs.core.GenericType<T> type)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### post

          org.reactivestreams.Publisher<javax.ws.rs.core.Response> post​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### post

          <T> org.reactivestreams.Publisher<T> post​(javax.ws.rs.client.Entity<?> entity,
                                                    Class<T> clazz)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### post

          <T> org.reactivestreams.Publisher<T> post​(javax.ws.rs.client.Entity<?> entity,
                                                    javax.ws.rs.core.GenericType<T> type)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### delete

          org.reactivestreams.Publisher<javax.ws.rs.core.Response> delete()

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### delete

          <T> org.reactivestreams.Publisher<T> delete​(Class<T> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### delete

          <T> org.reactivestreams.Publisher<T> delete​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### head

          org.reactivestreams.Publisher<javax.ws.rs.core.Response> head()

      Specified by:
        `head` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### options

          org.reactivestreams.Publisher<javax.ws.rs.core.Response> options()

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### options

          <T> org.reactivestreams.Publisher<T> options​(Class<T> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### options

          <T> org.reactivestreams.Publisher<T> options​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### trace

          org.reactivestreams.Publisher<javax.ws.rs.core.Response> trace()

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### trace

          <T> org.reactivestreams.Publisher<T> trace​(Class<T> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### trace

          <T> org.reactivestreams.Publisher<T> trace​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          org.reactivestreams.Publisher<javax.ws.rs.core.Response> method​(String name)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          <T> org.reactivestreams.Publisher<T> method​(String name,
                                                      Class<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          <T> org.reactivestreams.Publisher<T> method​(String name,
                                                      javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          org.reactivestreams.Publisher<javax.ws.rs.core.Response> method​(String name,
                                                                          javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          <T> org.reactivestreams.Publisher<T> method​(String name,
                                                      javax.ws.rs.client.Entity<?> entity,
                                                      Class<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          <T> org.reactivestreams.Publisher<T> method​(String name,
                                                      javax.ws.rs.client.Entity<?> entity,
                                                      javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`